Herald
OpenapiExt

Get transaction by external reference ID

Returns details of a specific points transaction by `externalRefId`.

GET
/api/ext/points/{realmId}/transactions/by-external-ref/{externalRefId}

Returns details of a specific points transaction by externalRefId.

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

externalRefId*string

External reference ID

Query Parameters

userId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/ext/points/string/transactions/by-external-ref/string"
{  "amount": 0,  "balanceAfter": 0,  "clientAppId": "string",  "createdAt": "string",  "description": "string",  "externalRefId": "string",  "subscriptionId": "string",  "transactionId": "string",  "transactionType": "string",  "userId": "string",  "walletId": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}